"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigStyledYamlViewer = void 0;
const ConfigModel_1 = require("../models/ConfigModel");
class ConfigStyledYamlViewer {
    display;
    constructor(display) {
        this.display = display;
    }
    view(configModel) {
        const styledYaml = configModel.toFormattedOutput(ConfigModel_1.OutputFormat.STYLED_YAML);
        // Prepend a newline to visually separate the output from anything else we've already logged.
        this.display.displayLog('\n' + styledYaml);
    }
}
exports.ConfigStyledYamlViewer = ConfigStyledYamlViewer;
//# sourceMappingURL=ConfigViewer.js.map