import { CodeAnalyzerConfig, RunResults } from '@salesforce/code-analyzer-core';
import { Display } from '../Display';
export interface RunSummaryViewer {
    view(results: RunResults, config: CodeAnalyzerConfig, outfiles: string[]): void;
}
export declare class RunSummaryDisplayer {
    protected display: Display;
    constructor(display: Display);
    view(results: RunResults, config: CodeAnalyzerConfig, outfiles: string[]): void;
    private displayResultsSummary;
    private displayOutfiles;
}
